﻿using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace Post8634
{
    public partial class WebUserControl1 : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-95.31105, 38.98184, -95.20359, 38.92185);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay overlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(overlay);

                SimpleMarkerOverlay markerOverlay = new SimpleMarkerOverlay("MarkerOverlay");
                markerOverlay.AutoRefreshInterval = TimeSpan.FromMilliseconds(3000);
                markerOverlay.Tick += new EventHandler<EventArgs>(markerOverlay_Tick);
                markerOverlay.Markers.Add(new Marker(-95.26095, 38.93926, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-95.26086, 38.96956, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-95.25919, 38.96758, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-95.29056, 38.95703, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-95.22653, 38.94278, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-95.26987, 38.93531, new WebImage(21, 25, -10.5f, -25f)));

                Map1.CustomOverlays.Add(markerOverlay);
            }
        }

        void markerOverlay_Tick(object sender, EventArgs e)
        {
            SimpleMarkerOverlay markerOverlay = (SimpleMarkerOverlay)Map1.CustomOverlays["MarkerOverlay"];
            markerOverlay.Markers.Clear();

            for (int i = 0; i < 6; i++)
            {
                double lon = -95.26095 + new Random(Guid.NewGuid().GetHashCode()).Next(-12, 20) / 5000.0;
                double lat = 38.93926 + new Random(Guid.NewGuid().GetHashCode()).Next(-11, 26) / 5000.0;
                Marker marker = new Marker(lon, lat);

                markerOverlay.Markers.Add(marker);
            }
        }
    }
}